package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
/**
 * 成本监审目录表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
@ApiModel(value="CostCatalog对象", description="成本监审目录表")
public class CostCatalog extends BaseModel<CostCatalog> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键")
    @TableId(value = "catalog_id", type = IdType.ASSIGN_ID)
    @JsonProperty("catalogId")
    private String catalogId;
    
    @ApiModelProperty(value = "上级节点ID，根节点为0")
    @TableField("parent_id")
    @JsonProperty("parentId")
    private String parentId;
    
    @ApiModelProperty(value = "成本监审目录")
    @TableField("catalog_name")
    @JsonProperty("catalogName")
    private String catalogName;
    
    @ApiModelProperty(value = "内容编码")
    @TableField("code")
    @JsonProperty("code")
    private String code;
    
    @ApiModelProperty(value = "目录类型：类型:lx 或 内容:nr")
    @TableField("node_type")
    @JsonProperty("nodeType")
    private String nodeType;
    
    @ApiModelProperty(value = "定价级别")
    @TableField("price_level")
    @JsonProperty("priceLevel")
    private String priceLevel;
    
    @ApiModelProperty(value = "监审形式（仅内容有效）")
    @TableField("audit_type")
    @JsonProperty("auditType")
    private String auditType;
    
    @ApiModelProperty(value = "定制部门")
    @TableField("pricing_dept")
    @JsonProperty("pricingDept")
    private String pricingDept;
    
    @ApiModelProperty(value = "监审内容")
    @TableField("content")
    @JsonProperty("content")
    private String content;
    
    @ApiModelProperty(value = "备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;
    
    @ApiModelProperty(value = "启用状态：1启用 0停用")
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "逻辑删除：0正常 1已删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private String isDeleted;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("updateBy")
    private String updateBy;


    @ApiModelProperty(value = "层级")
    @TableField("layer_level")
    @JsonProperty("layerLevel")
    private String layerLevel;


    public String getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(String catalogId) {
        this.catalogId = catalogId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public String getNodeType() {
        return nodeType;
    }

    public void setNodeType(String nodeType) {
        this.nodeType = nodeType;
    }
    public String getPriceLevel() {
        return priceLevel;
    }

    public void setPriceLevel(String priceLevel) {
        this.priceLevel = priceLevel;
    }
    public String getAuditType() {
        return auditType;
    }

    public void setAuditType(String auditType) {
        this.auditType = auditType;
    }
    public String getPricingDept() {
        return pricingDept;
    }

    public void setPricingDept(String pricingDept) {
        this.pricingDept = pricingDept;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getLayerLevel() {
        return layerLevel;
    }

    public void setLayerLevel(String layerLevel) {
        this.layerLevel = layerLevel;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }


    @Override
    protected Serializable pkVal() {
        return this.catalogId;
    }

    @Override
    public String toString() {
        return "CostCatalog{" +
            "catalogId=" + catalogId +
            ", parentId=" + parentId +
            ", catalogName=" + catalogName +
            ", code=" + code +
            ", nodeType=" + nodeType +
            ", priceLevel=" + priceLevel +
            ", auditType=" + auditType +
            ", pricingDept=" + pricingDept +
            ", content=" + content +
            ", remark=" + remark +
            ", status=" + status +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
        "}";
    }
}
